Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4329)
@@ -4936,5 +4939,5 @@
           DO  k = nzb+1, nzt
 
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
 !
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4329)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4309 2019-11-26 18:49:59Z suehring
 ! - Bugfix, include m_liq into restarts
 ! - Remove unused arrays for liquid water and saturation moisture at vertical
@@ -258,5 +261,5 @@
     USE indices,                                                               &
         ONLY:  nx, ny, nnx, nny, nnz, nxl, nxlg, nxr, nxrg, nyn, nyng, nys,    &
-               nysg, nzb, nzt, nbgp, topo_top_ind, wall_flags_0
+               nysg, nzb, nzt, nbgp, topo_top_ind, wall_flags_static_0
 
     USE, INTRINSIC :: iso_c_binding 
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 4328)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4287 2019-11-01 14:50:20Z raasch
 ! reading of namelist file and actions in case of namelist errors revised so that statement labels
 ! and goto statements are not required any more; this revision also removes a previous bug
@@ -1050,5 +1053,5 @@
 !                                     * rmask(j,i,sr)                          &
 !                                     * MERGE( 1.0_wp, 0.0_wp,                 &
-!                                              BTEST( wall_flags_0(k,j,i), 0 ) )
+!                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )
 !!
 !!--             Further profiles can be defined and calculated by increasing
Index: /palm/trunk/SOURCE/vdi_internal_controls.f90
===================================================================
--- /palm/trunk/SOURCE/vdi_internal_controls.f90	(revision 4328)
+++ /palm/trunk/SOURCE/vdi_internal_controls.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! added "Authors" section
 ! 
@@ -80,5 +83,5 @@
                nzb,                         &
                nzt,                         &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -202,5 +205,5 @@
 !
 !--    If the grid point lies in a building, a new point is defined
-       DO WHILE ( .NOT. BTEST( wall_flags_0(cgp_k,cgp_j,cgp_i), 1 ) )
+       DO WHILE ( .NOT. BTEST( wall_flags_static_0(cgp_k,cgp_j,cgp_i), 1 ) )
           CALL RANDOM_NUMBER( random )
           cgp_k = cgp_k + FLOOR( ( nzt - cgp_k ) * random )   !< Random number upon cgp_k
@@ -451,5 +454,5 @@
        DO  j = nys, nyn
           DO  k = nzb+1, nzt+1
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), quant_type ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), quant_type ) )
              quant_av_k_l(k) = quant_av_k_l(k) + quant(k,j,i) * flag
              count_2d_l(k)   = count_2d_l(k) + INT( flag, KIND=iwp )
@@ -479,5 +482,5 @@
                                 + ( quant(k,j,i) - quant_av_k(k) )**2 &
                                 * MERGE( 1.0_wp, 0.0_wp,              &
-                                         BTEST( wall_flags_0(k,j,i), quant_type ) )
+                                         BTEST( wall_flags_static_0(k,j,i), quant_type ) )
           ENDDO
        ENDDO
@@ -719,5 +722,5 @@
       DO  j = nys, nyn
          DO  k = nzb, nzt+1
-            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), quant_type ) )
+            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), quant_type ) )
             quant_av_l = quant_av_l + quant(k,j,i) * flag
             average_count_l = average_count_l + INT( flag, KIND=iwp )
@@ -771,5 +774,5 @@
                               + u(k,j,i) * dzw(k) * dy                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_0(k,j,i), 1 )  &
+                                       BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                      )
           ENDDO
@@ -785,5 +788,5 @@
                               - u(k,j,i) * dzw(k) * dy                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_0(k,j,i), 1 )  &
+                                       BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                      )
           ENDDO
@@ -800,5 +803,5 @@
                               + v(k,j,i) * dzw(k) * dx                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_0(k,j,i), 2 )  &
+                                       BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                      )
           ENDDO
@@ -814,5 +817,5 @@
                               - v(k,j,i) * dzw(k) * dx                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_0(k,j,i), 2 )  &
+                                       BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                      )
           ENDDO
Index: /palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4226 2019-09-10 17:03:24Z suehring
 ! Netcdf input routine for dimension length renamed
 ! 
@@ -121,5 +124,5 @@
 
     USE indices,                                                               &
-        ONLY:  nzb, nzt, nxl, nxr, nys, nyn, nx, ny, topo_top_ind, wall_flags_0
+        ONLY:  nzb, nzt, nxl, nxr, nys, nyn, nx, ny, topo_top_ind, wall_flags_static_0
 
     USE kinds
@@ -783,5 +786,5 @@
                                              IBSET( meas_flag(k,j,i), 0 ),     &
                                              0,                                &
-                                             BTEST( wall_flags_0(k,j,i), 0 )   &
+                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
                                                     )
                          ENDDO
Index: /palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4329)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4326 2019-12-06 14:16:14Z oliver.maas
 ! changed format of turbine control output to allow for higher 
 ! torque and power values
@@ -111,5 +114,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz,   &
-               nzb, nzt, wall_flags_0
+               nzb, nzt, wall_flags_static_0
 
     USE kinds
@@ -2221,5 +2224,5 @@
 !
 !--                         Predetermine flag to mask topography
-                            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
       
 !
@@ -2695,5 +2698,5 @@
                                   - tend_nac_x - tend_tow_x )                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 1 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
                    ENDDO
                 ENDDO
@@ -2715,5 +2718,5 @@
                                   - tend_nac_y - tend_tow_y )                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
                    ENDDO
                 ENDDO
@@ -2730,5 +2733,5 @@
                       tend(k,j,i) = tend(k,j,i) - rot_tend_z(k,j,i)            &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 3 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 3 ) )
                    ENDDO
                 ENDDO
@@ -2781,5 +2784,5 @@
                             - tend_nac_x - tend_tow_x )                        &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                            BTEST( wall_flags_0(k,j,i), 1 ) )
+                                            BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDIF
@@ -2797,5 +2800,5 @@
                             - tend_nac_y - tend_tow_y )                        &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 2 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
                 ENDDO
           ENDIF
@@ -2808,5 +2811,5 @@
                 tend(k,j,i) = tend(k,j,i) - rot_tend_z(k,j,i)                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 3 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDIF
